For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI Reference
HomeGuidesAPI Reference
  • Reference - Partner API
      • POSTCreate an Onboarding
      • GETGet an Onboarding by Merchant Reference
      • GETGet an Onboarding by Onboarding ID
      • PUTUpdate an Onboarding
      • GETGet Activations
      • Capabilities
      • Channel
      • Owner
      • Business
      • Onboarding
      • PostOnboardingResponse
      • OnboardingPostPut
LogoLogo
Reference - Partner APIOnboardings

Get an Onboarding by Onboarding ID

GET
/v1/onboardings/:onboardingId
GET
/v1/onboardings/:onboardingId
$curl https://agencyapi.afterpay.com/v1/onboardings/123abcd-456efgh-1124bd \
> -H "Accept: application/json" \
> -H "User-Agent: User-Agent"
1{
2 "onboardingId": "123abcd-456efgh-1124bd",
3 "updatedAt": "2024-02-21T09:50:36.871+00:00",
4 "merchantReference": "merchantId123",
5 "parentMerchantReference": "merchantPlatform",
6 "legalBusinessName": "merchantBusiness",
7 "storeName": "merchantName",
8 "website": "https://www.testmerchant.com",
9 "platform": "BLOCK",
10 "industry": "8299",
11 "aveTimeToShip": "Less than 1 Week",
12 "registeredCountry": "US",
13 "countryOfOperations": "US",
14 "businessType": "corporation",
15 "ein": "string",
16 "selfFulfillment": true,
17 "address1": "123 Main St",
18 "address2": "string",
19 "city": "London",
20 "state": "CA",
21 "postCode": "12345",
22 "email": "youremail@testmerchant.com",
23 "settlementContractId": "1a2b3c4d5e12xy34z",
24 "owners": [
25 {
26 "firstName": "Sam",
27 "lastName": "Merchant",
28 "dob": "2023-02-21",
29 "taxId": "TaxId123",
30 "jobTitle": "CEO",
31 "owns25": true,
32 "significantResponsibility": false,
33 "address1": "123 Main St",
34 "address2": "Apt 1403",
35 "city": "New York",
36 "state": "NY",
37 "postCode": "10011",
38 "countryCode": "US"
39 }
40 ]
41}

Allows a partner to retrieve onboarding details using the onboardingId.

Was this page helpful?
Previous

Update an Onboarding

Next
Built with

Path parameters

onboardingIdstringRequired
The id that is returned during a successful Create an onboarding call.

Headers

User-AgentstringRequired
AcceptstringRequiredDefaults to application/json
Specifies media types that are acceptable for the response.

Response

Onboarding details retrieved successfully
onboardingIdstring
The ID that can be used to update merchant's configs and get an onboarding status.
updatedAtstring
Last updated timestamp of this onboarding.
merchantReferencestring

Unique ID for the merchant in the partner’s internal systems to index to Afterpay’s Merchant ID (MID).

parentMerchantReferencestring
Unique ID for the platform of the merchant in the partner's internal systems to index to merchantReference.
legalBusinessNamestring
Legal business name found in incorporation or similar documents.
storeNamestring

Recognizable doing-business-as name.

websitestring
Homepage URL of the merchant.
platformstring
Platform the merchant is on.
industrystring

A four-digit number that classifies the type of goods or services a business offers following the ISO 18245 standard.

aveTimeToShipstring
Average time to ship for this business.
registeredCountrystring

Country code in the two-letter ISO 3166-1 alpha-2 standard format defining the consumer market where the merchant will sell goods or services.

countryOfOperationsstring
The consumer market where the merchant will sell goods or services.
businessTypestring
Type of business matching exactly the naming conventions outlined in the business type section.
einstring
Identifying tax number such as TIN, ABN, or SSN depending on the relevant jurisdiction. Can be null.
selfFulfillmentboolean
Indicates if the merchant fulfills orders themselves.
address1string
Business address 1 of the merchant.
address2string
Business address 2 of the merchant, if applicable. Can be null.
citystring
City of the business address of the merchant.
statestring
State or province of the business address of the merchant.
postCodestring
Postal code of the business address of the merchant.
emailstring
Customer support email that will be shown within the Afterpay native application.
settlementContractIdstring
Defines the country and the banking entity for the partner's online channel for the benefit of the merchant.
ownerslist of objects

Errors

401
Unauthorized Error
404
Not Found Error
503
Service Unavailable Error